1

Topic: Error when updating to Iredmail v0.8.7 / PGSQL updates function error

==== Required information ====
- iRedMail version: 0.8.6 > 0.8.7
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): PGSQL
- Linux/BSD distribution name and version: Centos 6.5, Linux 3.14.1-x86_64-linode39 on x86_64
- Related log if you're reporting an issue: n/a
====

When following you upgrade tutorial here: http://iredmail.org/wiki/index.php?titl … .8.6-0.8.7
And running through the PGSQL commands for updating the db structure at the end, they all work until this one for which I encounter the following error:
vmail=# UPDATE domain SET settings=CONCAT(settings, 'default_language:', defaultlanguage, ';');
ERROR:  function concat(text, unknown, character varying, unknown) does not exist
LINE 1: UPDATE domain SET settings=CONCAT(settings, 'default_languag...
                                   ^
HINT:  No function matches the given name and argument types. You might need to add explicit type casts.
vmail=#
Please help me as I am now stuck with a live server in mid upgrade state......Thanks.

- Fabian S.

P.S. I originally posted this under iredadmin and realized that maybe it should be in here.

2

Re: Error when updating to Iredmail v0.8.7 / PGSQL updates function error

bare in mind i'm running postgresql v8.4

3

Re: Error when updating to Iredmail v0.8.7 / PGSQL updates function error

i tried upgrading postgresql to v9.1 but that was a disaster with user roles / permissions i didn't carry over and wasn't sure how so I restored my backup and I'm back to square one with a technically working server but an incomplete upgrade. all other steps have been completed aside from those last CONCAT and DROP lines and the other section about adding the transport values for my domains to use dovecot lmtp.

I Kindly await your assistance. Thank you.

4

Re: Error when updating to Iredmail v0.8.7 / PGSQL updates function error

And just to make sure, this error i see in iredadmin when attempting to look at a domain's properties:

Error: column "domain.settings" must appear in the GROUP BY clause or be used in an aggregate function LINE 6: domain.settings, ^

is the result of not having my database fully updated correctly?

5

Re: Error when updating to Iredmail v0.8.7 / PGSQL updates function error

ALL FIXED. I finally figured out what I did wrong when I was trying to upgrade to postgresql 9.1 and i successfully completed the upgrade the 2nd time around.

I missed resetting the pg_hba.conf methods to 'md5' after installing v9.1. it all works now, including iredadmin. no more errors. you can close this topic please. thanks.

- Fabian S.